local luaCutscenesUtils = require("#ExtendedVariants.Module.LuaCutscenesUtils")

function onBegin()
	disableMovement()
	disableRetry()
	player.ForceCameraUpdate = true
	playSound("event:/game/01_forsaken_city/birdbros_thrust")
	luaCutscenesUtils.TriggerBooleanVariant("DashTrailAllTheTime", true, false)
	luaCutscenesUtils.TriggerFloatVariant("GameSpeed", 0.9, false)
	luaCutscenesUtils.TriggerBooleanVariant("MadelineIsSilhouette", true, false)
	setFlag("frozen",true)
	setPlayerState(17, false)
	wait(0.9)
	setFlag("frozen",false)
	wait(0.1)
	setPlayerState(0, false)
end

function onEnd()
	enableMovement()
	enableRetry()
	luaCutscenesUtils.TriggerBooleanVariant("DashTrailAllTheTime", false, false)
	luaCutscenesUtils.TriggerFloatVariant("GameSpeed", 1, false)
	luaCutscenesUtils.TriggerBooleanVariant("MadelineIsSilhouette", false, false)
	setFlag("frozen",false)
end